net.sf.jasperreports.charts.type

## Enum TimePeriodEnum

- java.lang.Object
- - java.lang.Enum<TimePeriodEnum>
  - - net.sf.jasperreports.charts.type.TimePeriodEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TimePeriodEnum>, JREnum, NamedEnum

      public enum TimePeriodEnum
      extends java.lang.Enum<TimePeriodEnum>
      implements JREnum

  Version:
    $Id: TimePeriodEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAY`
    `HOUR`
    `MILLISECOND`
    `MINUTE`
    `MONTH`
    `QUARTER`
    `SECOND`
    `WEEK`
    `YEAR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimePeriodEnum` | `getByName(java.lang.String name)`
    `static TimePeriodEnum` | `getByValue(java.lang.Class<?> clazz)`
    `java.lang.String` | `getName()`
    `java.lang.Class<?>` | `getTimePeriod()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static TimePeriodEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TimePeriodEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YEAR

          public static final TimePeriodEnum YEAR

    - #### QUARTER

          public static final TimePeriodEnum QUARTER

    - #### MONTH

          public static final TimePeriodEnum MONTH

    - #### WEEK

          public static final TimePeriodEnum WEEK

    - #### DAY

          public static final TimePeriodEnum DAY

    - #### HOUR

          public static final TimePeriodEnum HOUR

    - #### MINUTE

          public static final TimePeriodEnum MINUTE

    - #### SECOND

          public static final TimePeriodEnum SECOND

    - #### MILLISECOND

          public static final TimePeriodEnum MILLISECOND

  - ### Method Detail

    - #### values

          public static TimePeriodEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimePeriodEnum c : TimePeriodEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimePeriodEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getTimePeriod

          public final java.lang.Class<?> getTimePeriod()

    - #### getByName

          public static TimePeriodEnum getByName(java.lang.String name)

    - #### getByValue

          public static TimePeriodEnum getByValue(java.lang.Class<?> clazz)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com